# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dock/version'

Gem::Specification.new do |spec|
  spec.name          = "dock"
  spec.version       = Dock::VERSION
  spec.authors       = ["Austin Vecchio"]
  spec.email         = ["au.vecchio@gmail.com"]
  spec.summary       = %q{What Orm Adapter should have been}
  spec.description   = %q{Twenty methods for ten different adapters}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.1"
  # All supported models
  spec.add_development_dependency "activerecord", "~> 4.1"
  spec.add_development_dependency "cequel", "~> 1.4"
  #spec.add_development_dependency "couchbase"#, "~>"
  spec.add_development_dependency "couchrest", "~> 1.2"
  spec.add_development_dependency "datamapper", "~> 1.2"
  spec.add_development_dependency "mongoid", "~> 4.0"
  spec.add_development_dependency "mongo_mapper", "~> 0.8"
  spec.add_development_dependency "nobrainer", "~> 0.16"
  spec.add_development_dependency "sequel", "~> 4.14"
  spec.add_development_dependency "sinatra-activerecord", "~> 2.0"
end