require_relative 'spec_helper'
describe Dock do
  subject { Dock }
  
  describe "when a new adapter is created (by inheriting form Dock::Base)" do
    let!(:adapter) { Class.new(Dock::Base) }
    
    its(:adapters) { should include(adapter) }
    
    after { Dock.adapters.delete(adapter) }
  end
end